package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class SatuanBesar
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "SatuanBesar_M")
public class SatuanBesarVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelompokProdukFk")
	@Caption(value="Object Kelompok Produk")
	private KelompokProdukVO kelompokProduk;

	public void setKelompokProduk(KelompokProdukVO kelompokProduk) {
		this.kelompokProduk = kelompokProduk;
	}

	@Column(name = "KdKelompokProduk", nullable = true )
	public KelompokProdukVO getKelompokProduk(){
		return this.kelompokProduk;
	}

	@Column(name = "ObjectKelompokProdukFk", insertable=false,updatable=false)
	private Integer kelompokProdukId;

	@Caption(value="Kode Satuan Besar")
	private Byte kdSatuanBesar;

	public void setKdSatuanBesar(Byte kdSatuanBesar) {
		this.kdSatuanBesar = kdSatuanBesar;
	}

	@Column(name = "KdSatuanBesar", nullable = false )
	public Byte getKdSatuanBesar(){
		return this.kdSatuanBesar;
	}

	@Caption(value="QSatuan Besar")
	private Byte qSatuanBesar;

	public void setqSatuanBesar(Byte qSatuanBesar) {
		this.qSatuanBesar = qSatuanBesar;
	}

	@Column(name = "QSatuanBesar", nullable = false )
	public Byte getqSatuanBesar(){
		return this.qSatuanBesar;
	}

	@Caption(value="Satuan Besar")
	private String satuanBesar;

	public void setSatuanBesar(String satuanBesar) {
		this.satuanBesar = satuanBesar;
	}

	@Column(name = "SatuanBesar", nullable = false , length = 20)
	public String getSatuanBesar(){
		return this.satuanBesar;
	}


}

